/* $Id: discipline.c,v 1.3 2001/10/17 18:19:27 drscholl Exp $
 *
 *    Open Source Napster Server - Peer-To-Peer Indexing/Chat Daemon
 *    Copyright (C) 2001  drscholl@users.sourceforge.net
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "opennap.h"

#ifndef NULL
#define NULL ((void*)0)
#endif

void
discipline_user (USER * user)
{
    USERDB *db;

    if (gBlockWinMX > 1)
    {
        kill_user_internal (user->con, user, Server_Name, 0, "WantQueue detected");
        log_message ("kill: killed user %s from server %s (//WantQueue)", user, Server_Name);
    }
}
